## WDS Get Default Profile Num request

WDS Get Default Profile Num request

## Functions

QmiMessageWdsGetDefaultProfileNumInput * | qmi_message_wds_get_default_profile_num_input_new ()
QmiMessageWdsGetDefaultProfileNumInput * | qmi_message_wds_get_default_profile_num_input_ref ()
void | qmi_message_wds_get_default_profile_num_input_unref ()
gboolean | qmi_message_wds_get_default_profile_num_input_get_profile_type ()
gboolean | qmi_message_wds_get_default_profile_num_input_set_profile_type ()
QmiMessageWdsGetDefaultProfileNumOutput * | qmi_message_wds_get_default_profile_num_output_ref ()
void | qmi_message_wds_get_default_profile_num_output_unref ()
gboolean | qmi_message_wds_get_default_profile_num_output_get_result ()
gboolean | qmi_message_wds_get_default_profile_num_output_get_default_profile_number ()
gboolean | qmi_message_wds_get_default_profile_num_output_get_extended_error_code ()
void | qmi_client_wds_get_default_profile_num ()
QmiMessageWdsGetDefaultProfileNumOutput * | qmi_client_wds_get_default_profile_num_finish ()

## Types and Values

| QmiMessageWdsGetDefaultProfileNumInput
| QmiMessageWdsGetDefaultProfileNumOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsGetDefaultProfileNumInput
        ╰── QmiMessageWdsGetDefaultProfileNumOutput

## Description

## Functions

### qmi_message_wds_get_default_profile_num_input_new ()

    QmiMessageWdsGetDefaultProfileNumInput *
    qmi_message_wds_get_default_profile_num_input_new
                                   (void);

Allocates a new QmiMessageWdsGetDefaultProfileNumInput.

#### Returns

the newly created QmiMessageWdsGetDefaultProfileNumInput. The returned value should be freed with `qmi_message_wds_get_default_profile_num_input_unref()`.

Since: 1.22

### qmi_message_wds_get_default_profile_num_input_ref ()

    QmiMessageWdsGetDefaultProfileNumInput *
    qmi_message_wds_get_default_profile_num_input_ref
                                   (QmiMessageWdsGetDefaultProfileNumInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumInput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_wds_get_default_profile_num_input_unref ()

    void
    qmi_message_wds_get_default_profile_num_input_unref
                                   (QmiMessageWdsGetDefaultProfileNumInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumInput. |

Since: 1.22

### qmi_message_wds_get_default_profile_num_input_get_profile_type ()

    gboolean
    qmi_message_wds_get_default_profile_num_input_get_profile_type
                                   (QmiMessageWdsGetDefaultProfileNumInput *self,
                                    QmiWdsProfileType *value_profile_type_profile_type,
                                    QmiWdsProfileFamily *value_profile_type_profile_family,
                                    GError **error);

Get the 'Profile Type' field from `self` .

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumInput. |
value_profile_type_profile_type | a placeholder for the output QmiWdsProfileType, or `NULL` if not required. |
value_profile_type_profile_family | a placeholder for the output QmiWdsProfileFamily, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_wds_get_default_profile_num_input_set_profile_type ()

    gboolean
    qmi_message_wds_get_default_profile_num_input_set_profile_type
                                   (QmiMessageWdsGetDefaultProfileNumInput *self,
                                    QmiWdsProfileType value_profile_type_profile_type,
                                    QmiWdsProfileFamily value_profile_type_profile_family,
                                    GError **error);

Set the 'Profile Type' field in the message.

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumInput. |
value_profile_type_profile_type | a QmiWdsProfileType. |
value_profile_type_profile_family | a QmiWdsProfileFamily. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_wds_get_default_profile_num_output_ref ()

    QmiMessageWdsGetDefaultProfileNumOutput *
    qmi_message_wds_get_default_profile_num_output_ref
                                   (QmiMessageWdsGetDefaultProfileNumOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_wds_get_default_profile_num_output_unref ()

    void
    qmi_message_wds_get_default_profile_num_output_unref
                                   (QmiMessageWdsGetDefaultProfileNumOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumOutput. |

Since: 1.22

### qmi_message_wds_get_default_profile_num_output_get_result ()

    gboolean
    qmi_message_wds_get_default_profile_num_output_get_result
                                   (QmiMessageWdsGetDefaultProfileNumOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.22

### qmi_message_wds_get_default_profile_num_output_get_default_profile_number ()

    gboolean
    qmi_message_wds_get_default_profile_num_output_get_default_profile_number
                                   (QmiMessageWdsGetDefaultProfileNumOutput *self,
                                    guint8 *value_default_profile_number,
                                    GError **error);

Get the 'Default Profile Number' field from `self` .

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumOutput. |
value_default_profile_number | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_wds_get_default_profile_num_output_get_extended_error_code ()

    gboolean
    qmi_message_wds_get_default_profile_num_output_get_extended_error_code
                                   (QmiMessageWdsGetDefaultProfileNumOutput *self,
                                    QmiWdsDsProfileError *value_extended_error_code,
                                    GError **error);

Get the 'Extended Error Code' field from `self` .

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumOutput. |
value_extended_error_code | a placeholder for the output QmiWdsDsProfileError, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_client_wds_get_default_profile_num ()

    void
    qmi_client_wds_get_default_profile_num
                                   (QmiClientWds *self,
                                    QmiMessageWdsGetDefaultProfileNumInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get Default Profile Num request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_get_default_profile_num_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsGetDefaultProfileNumInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.22

### qmi_client_wds_get_default_profile_num_finish ()

    QmiMessageWdsGetDefaultProfileNumOutput *
    qmi_client_wds_get_default_profile_num_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wds_get_default_profile_num()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_get_default_profile_num()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsGetDefaultProfileNumOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_get_default_profile_num_output_unref()`.

Since: 1.22

## Types and Values

### QmiMessageWdsGetDefaultProfileNumInput

    typedef struct _QmiMessageWdsGetDefaultProfileNumInput QmiMessageWdsGetDefaultProfileNumInput;

The QmiMessageWdsGetDefaultProfileNumInput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiMessageWdsGetDefaultProfileNumOutput

    typedef struct _QmiMessageWdsGetDefaultProfileNumOutput QmiMessageWdsGetDefaultProfileNumOutput;

The QmiMessageWdsGetDefaultProfileNumOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22